# Generated by Django 3.0.5 on 2020-09-16 10:38

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("data_france", "0012_collectivites_departementales_et_regionales"),
    ]

    operations = [
        migrations.CreateModel(
            name="Canton",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "code",
                    models.CharField(
                        max_length=5, unique=True, verbose_name="Code INSEE"
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        choices=[
                            ("C", "Canton"),
                            ("V", "Canton-Ville (ou pseudo-canton)"),
                            ("N", "Canton « fictif » pour communes nouvelles"),
                        ],
                        editable=False,
                        max_length=1,
                        verbose_name="Type de canton",
                    ),
                ),
                (
                    "composition",
                    models.IntegerField(
                        choices=[
                            (1, "Canton composé de commune(s) entière(s)"),
                            (
                                2,
                                "Canton composé d'une fraction d'une commune et de commune(s) entière(s)",
                            ),
                            (
                                3,
                                "Canton composé de fractions de plusieurs communes et de commune(s) entière(s)",
                            ),
                            (4, "Canton composé d'une fraction de commune"),
                            (5, "Canton composé de fractions de plusieurs communes"),
                        ],
                        editable=False,
                        null=True,
                        verbose_name="Composition du canton",
                    ),
                ),
                (
                    "nom",
                    models.CharField(
                        editable=False, max_length=200, verbose_name="Nom du canton"
                    ),
                ),
                (
                    "type_nom",
                    models.PositiveSmallIntegerField(
                        editable=False, verbose_name="Type de nom du canton"
                    ),
                ),
                (
                    "bureau_centralisateur",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        related_query_name="bureau_centralisateur_de",
                        to="data_france.Commune",
                        verbose_name="Bureau centralisateur",
                    ),
                ),
                (
                    "departement",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="cantons",
                        related_query_name="canton",
                        to="data_france.Departement",
                        verbose_name="Département",
                    ),
                ),
            ],
        ),
    ]
