# Generated by Django 3.1.7 on 2021-07-07 08:15

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("data_france", "0023_auto_20210706_0953"),
    ]

    operations = [
        migrations.CreateModel(
            name="CirconscriptionLegislative",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "code",
                    models.CharField(
                        editable=False,
                        max_length=10,
                        verbose_name="Numéro de la circonscription",
                    ),
                ),
                (
                    "geometry",
                    django.contrib.gis.db.models.fields.MultiPolygonField(
                        geography=True, null=True, srid=4326, verbose_name="Géométrie"
                    ),
                ),
                (
                    "departement",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="data_france.departement",
                    ),
                ),
            ],
            options={
                "ordering": ("code",),
                "verbose_name": "Circonscription législative",
                "verbose_name_plural": "Circonscriptions législatives",
            },
        ),
        migrations.CreateModel(
            name="Depute",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "nom",
                    models.CharField(
                        editable=False, max_length=200, verbose_name="Nom de famille"
                    ),
                ),
                (
                    "prenom",
                    models.CharField(
                        blank=True,
                        editable=False,
                        max_length=200,
                        verbose_name="Prénom",
                    ),
                ),
                (
                    "sexe",
                    models.CharField(
                        choices=[("M", "Masculin"), ("F", "Feminin")],
                        max_length=1,
                        verbose_name="Sexe à l'état civil",
                    ),
                ),
                (
                    "date_naissance",
                    models.DateField(editable=False, verbose_name="Date de naissance"),
                ),
                (
                    "profession",
                    models.SmallIntegerField(
                        editable=False, null=True, verbose_name="Profession"
                    ),
                ),
                (
                    "code",
                    models.CharField(
                        editable=False, max_length=50, verbose_name="Identifiant AN"
                    ),
                ),
                (
                    "groupe",
                    models.CharField(
                        blank=True,
                        editable=False,
                        max_length=200,
                        verbose_name="Groupe parlementaire",
                    ),
                ),
                (
                    "relation",
                    models.CharField(
                        blank=True,
                        choices=[
                            ("P", "Président⋅e de groupe"),
                            ("M", "Membre"),
                            ("A", "Membre apparenté au groupe"),
                        ],
                        editable=False,
                        max_length=1,
                        verbose_name="Type de relation au groupe",
                    ),
                ),
                (
                    "parti",
                    models.CharField(
                        blank=True,
                        editable=False,
                        max_length=200,
                        verbose_name="Parti d'affiliation",
                    ),
                ),
                (
                    "legislature",
                    models.PositiveSmallIntegerField(
                        editable=False, verbose_name="Législature"
                    ),
                ),
                (
                    "date_debut_mandat",
                    models.DateField(
                        editable=False, verbose_name="Date de début du mandat"
                    ),
                ),
                (
                    "date_fin_mandat",
                    models.DateField(
                        editable=False, null=True, verbose_name="Date de fin du mandat"
                    ),
                ),
                (
                    "circonscription",
                    models.ForeignKey(
                        editable=False,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="deputes",
                        related_query_name="depute",
                        to="data_france.circonscriptionlegislative",
                    ),
                ),
            ],
            options={
                "abstract": False,
                "ordering": ("nom", "prenom"),
                "verbose_name": "Député⋅e",
            },
        ),
    ]
