# Generated by Django 3.1.7 on 2021-07-21 09:52

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("data_france", "0026_auto_20210715_0451"),
    ]

    operations = [
        migrations.CreateModel(
            name="EluDepartemental",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "nom",
                    models.CharField(
                        editable=False, max_length=200, verbose_name="Nom de famille"
                    ),
                ),
                (
                    "prenom",
                    models.CharField(
                        blank=True,
                        editable=False,
                        max_length=200,
                        verbose_name="Prénom",
                    ),
                ),
                (
                    "sexe",
                    models.CharField(
                        choices=[("M", "Masculin"), ("F", "Feminin")],
                        max_length=1,
                        verbose_name="Sexe à l'état civil",
                    ),
                ),
                (
                    "date_naissance",
                    models.DateField(editable=False, verbose_name="Date de naissance"),
                ),
                (
                    "profession",
                    models.SmallIntegerField(
                        editable=False, null=True, verbose_name="Profession"
                    ),
                ),
                (
                    "date_debut_mandat",
                    models.DateField(
                        editable=False, verbose_name="Date de début du mandat"
                    ),
                ),
                (
                    "fonction",
                    models.CharField(
                        blank=True,
                        choices=[
                            ("MAI", "Maire"),
                            ("MDA", "Maire délégué⋅e"),
                            ("VPE", "Vice-Président⋅e"),
                            ("PRE", "Président⋅e"),
                            ("ADJ", "Adjoint⋅e au maire"),
                            ("AMC", "Autre membre de la commission permanente"),
                        ],
                        editable=False,
                        max_length=50,
                        verbose_name="Fonction",
                    ),
                ),
                (
                    "ordre_fonction",
                    models.PositiveSmallIntegerField(
                        editable=False, null=True, verbose_name="Ordre de la fonction"
                    ),
                ),
                (
                    "date_debut_fonction",
                    models.DateField(
                        null=True, verbose_name="Date de début de la fonction"
                    ),
                ),
                (
                    "canton",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="elus",
                        related_query_name="elu",
                        to="data_france.canton",
                    ),
                ),
            ],
            options={
                "abstract": False,
                "ordering": ("canton", "nom", "prenom", "date_naissance"),
                "verbose_name": "Élu·e départemental·e",
                "verbose_name_plural": "Élu·es départementaux·ales",
            },
        ),
        migrations.AlterModelOptions(
            name="canton",
            options={"ordering": ("code",)},
        ),
    ]
