# Generated by Django 4.1.5 on 2023-01-26 10:04

from django.db import migrations, models
import django.db.models.deletion


FORWARD = """
UPDATE data_france_eluregional e
SET
  collectivite_regionale_id = cr.id
FROM data_france_region r
JOIN data_france_collectiviteregionale cr on r.id = cr.region_id
WHERE r.id = e.region_id
"""

BACKWARDS = """
UPDATE data_france_eluregional e
SET
  region_id = r.id
FROM data_france_collectiviteregionale cr
JOIN data_france_region r on r.id = cr.region_id
WHERE cr.id = e.collectivite_regionale_id
"""

class Migration(migrations.Migration):

    dependencies = [
        ("data_france", "0034_depute_actif_deputeeuropeen_actif_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="eluregional",
            name="collectivite_regionale",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="elus",
                related_query_name="elu",
                to="data_france.collectiviteregionale",
            ),
        ),
        migrations.AlterField(
            model_name="eluregional",
            name="region",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="elus",
                related_query_name="elu",
                to="data_france.region",
            ),
        ),
        migrations.RunSQL(FORWARD, BACKWARDS),
        migrations.RemoveField(
            model_name="eluregional",
            name="region",
        ),
        migrations.AlterField(
            model_name="eluregional",
            name="collectivite_regionale",
            field=models.ForeignKey(
                null=False,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="elus",
                related_query_name="elu",
                to="data_france.collectiviteregionale",
            ),
        ),
        migrations.AlterModelOptions(
            name="eluregional",
            options={
                "ordering": (
                    "collectivite_regionale",
                    "nom",
                    "prenom",
                    "date_naissance",
                ),
                "verbose_name": "Élu‧e régional‧e",
                "verbose_name_plural": "Élu‧es régionaux‧ales",
            },
        ),
        migrations.AddField(
            model_name="eluregional",
            name="collectivite_departementale",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="elus_regionaux",
                related_query_name="elu_regional",
                to="data_france.collectivitedepartementale",
            ),
        ),
    ]
